#include "msw.h"
#include "am335x.h"
 
int main(int argc,char **argv)
{
	int result = 0;
	unsigned char value = 0;

	result = rotary_switch_read(&value);

	if(result)
	{
		printf("rsw(%d) : rotary switch read error\n",result);
		return FAILURE;
	}
	else
	{
		printf("%d\n", value);
	}

	return NOERROR;
}

